<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: HobbyMan
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."recaptcha_admin/infusion_db.php";

if (file_exists(INFUSIONS."recaptcha_admin/locale/".$settings['locale'].".php")) {
	include INFUSIONS."recaptcha_admin/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."recaptcha_admin/locale/English.php";
}

// Infusion general information
$inf_title = $locale['recap001'];
$inf_description = $locale['recap002'];
$inf_version = "1.0";
$inf_developer = "HobbyMan";
$inf_email = "";
$inf_weburl = "http://www.phpnuclear.com";

$inf_folder = "recaptcha_admin";

$inf_newtable[1] = DB_RECAPTCHA." (
public_key VARCHAR(100) NOT NULL DEFAULT '' NOT NULL,
private_key VARCHAR(100) NOT NULL DEFAULT '' NOT NULL,
theme VARCHAR(10) DEFAULT '' NOT NULL,
lang VARCHAR(10) DEFAULT '' NOT NULL,
PRIMARY KEY (public_key)
) TYPE=MyISAM;";

$inf_insertdbrow[1] = DB_RECAPTCHA." (public_key, private_key, theme, lang) VALUES('', '', 'red', 'en')";

$inf_droptable[1] = DB_RECAPTCHA;

$inf_adminpanel[1] = array(
	"title" => $locale['recap001'],
	"image" => "recaptcha.gif",
	"panel" => "recaptcha_admin.php",
	"rights" => "RCPT"
);

?>