<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: recaptcha_admin.php
| CVS Version: 1.00
| Author: Philip Daly (HobbyMan)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";

include INFUSIONS."recaptcha_admin/infusion_db.php";

if (!checkrights("RCPT") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

if (file_exists(INFUSIONS."recaptcha_admin/locale/".$settings['locale'].".php")) {
	include INFUSIONS."recaptcha_admin/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."recaptcha_admin/locale/English.php";
}

add_to_title($locale['global_200'].$locale['recap001']);

if (isset($_POST['savesettings'])) {
	$result = dbquery("UPDATE ".DB_RECAPTCHA." SET
	    
		public_key='".addslash(descript($_POST['public_key']))."',
        private_key='".addslash(descript($_POST['private_key']))."',
        theme='".addslash(descript($_POST['theme']))."',
        lang='".addslash(descript($_POST['lang']))."'
	");

	if (!$result) { $error = 1; }
	redirect(FUSION_SELF.$aidlink."&error=".$error);
}

echo "<script type='text/javascript'>
function SelectAll(id)
{
    document.getElementById(id).focus();
    document.getElementById(id).select();
}
</script>\n";


$data = dbarray(dbquery("SELECT * FROM ".DB_RECAPTCHA));

opentable($locale['recap001']);

echo "<form name='inputform' method='post' action='".FUSION_SELF.$aidlink."'>\n";

echo "<table align='center' cellpadding='0' cellspacing='0' width='50%'><tr>\n";

echo "<td colspan='2' align='center'><b>".$locale['recap001']."</b><br /><br /></td></tr>\n";

echo "<td width='25%'class='tbl2' align='center'><b>".$locale['recap003']."</b></td>";
echo "<td class='tbl2'>";
echo "<input type='text' id='txtfield1' onClick=\"SelectAll('txtfield1');\" name='public_key' value='".$data['public_key']."' class='textbox' style='width:300px;' />";
echo "</td>";
echo "</tr>\n<tr>\n";

echo "<td width='25%'class='tbl2' align='center'><b>".$locale['recap004']."</b></td>";
echo "<td class='tbl2'>";
echo "<input type='text' id='txtfield2' onClick=\"SelectAll('txtfield2');\" name='private_key' value='".$data['private_key']."' class='textbox' style='width:300px;' />";
echo "</td>";
echo "</tr>\n<tr>\n";

echo "<td width='25%'class='tbl2' align='center'><b>".$locale['recap005']."</b></td>";
echo "<td class='tbl2'>";
echo "<select name='theme' class='textbox'>\n";
echo "<option value='red'".($data['theme'] == "red" ? " selected='selected'" : "").">".$locale['recap007']."</option>\n";
echo "<option value='blackglass'".($data['theme'] == "blackglass" ? " selected='selected'" : "").">".$locale['recap008']."</option>\n";
echo "<option value='clean'".($data['theme'] == "clean" ? " selected='selected'" : "").">".$locale['recap009']."</option>\n";
echo "<option value='white'".($data['theme'] == "white" ? " selected='selected'" : "").">".$locale['recap010']."</option>\n";
echo "</select>\n</td>";

echo "</tr>\n<tr>\n";

echo "<td width='25%'class='tbl2' align='center'><b>".$locale['recap011']."</b></td>";
echo "<td class='tbl2'>";
echo "<select name='lang' class='textbox'>\n";
echo "<option value='en'".($data['lang'] == "en" ? " selected='selected'" : "").">".$locale['recap012']."</option>\n";
echo "<option value='nl'".($data['lang'] == "nl" ? " selected='selected'" : "").">".$locale['recap013']."</option>\n";
echo "<option value='fr'".($data['lang'] == "fr" ? " selected='selected'" : "").">".$locale['recap014']."</option>\n";
echo "<option value='de'".($data['lang'] == "de" ? " selected='selected'" : "").">".$locale['recap015']."</option>\n";
echo "<option value='pt'".($data['lang'] == "pt" ? " selected='selected'" : "").">".$locale['recap016']."</option>\n";
echo "<option value='ru'".($data['lang'] == "ru" ? " selected='selected'" : "").">".$locale['recap017']."</option>\n";
echo "<option value='es'".($data['lang'] == "es" ? " selected='selected'" : "").">".$locale['recap018']."</option>\n";
echo "<option value='tr'".($data['lang'] == "tr" ? " selected='selected'" : "").">".$locale['recap019']."</option>\n";
echo "</select>\n</td>";

echo "</tr>\n<tr>\n";

echo "<td colspan='2' align='center'>";
echo "<br /><input type='submit' name='savesettings' value='".$locale['recap006']."' class='button'>";
echo "</td></tr>\n</table>\n</form>\n";

echo "<br />";

closetable();

opentable($locale['recap030']);

echo "<pre>".$locale['recap031']."</pre>\n";
echo "<br />".$locale['recap032']."<br />\n";
echo "<br />".$locale['recap033']."\n";
echo "<br />".$locale['recap034']."\n";

closetable();


// Please do not remove copyright
   $data_v = dbarray(dbquery("SELECT inf_title, inf_version FROM ".DB_INFUSIONS." WHERE inf_title='".$locale['recap001']."'"));	
   $version = $data_v['inf_version'];
   echo "<div align='center' class='small2'>".$locale['recap001']." [v".$version."] by <a target='_blank' title='phpnuclear.com' href='http://www.phpnuclear.com'>HobbyMan</a> ".date("Y")."</div><br />\n";
        echo "<br />";
closetable();

require_once THEMES."templates/footer.php";
?>